#!/bin/bash
#
# Last update: 2022.5.23

# 安裝套件
apt install ea-apache24-mod-fcgid -y

# 取得目前主機 php版本 名稱，輸出列表至文件
/usr/local/cpanel/bin/rebuild_phpconf --available | awk -F: '{print $1}' > /tmp/php_list

# 於每一行前面加上--符號，後面加上 =fcgi
cat /tmp/php_list | sed 's/^/--&/g' | sed 's/$/&=fcgi/g' > /tmp/php_list2

# 將 /tmp/php_list2 變成 arry 陣列
mapfile arry < /tmp/php_list2

# 使用 for 將每個版本 Handlers 改成 fcgi
for ((i=0; i < ${#arry[@]}; i++))
do
/usr/local/cpanel/bin/rebuild_phpconf ${arry[${i}]}
done

# 刪除暫存檔
rm -f /tmp/php_list
rm -f /tmp/php_list2

